man1/apass.1

#

    apass(1)							     apass(1)

    NAME
      apass	- copy from one	AF server to another

    SYNOPSIS
      apass	[-ia input-AF-server] [-oa output-AF-server] [-full_duplex] [-id
      input-device-#] [-od output-device-#]	[-delay	seconds] [-aj anti-jitter-
      seconds] [-buffering buffering-seconds] [-g dB-gain] [-e encodingType]
      [-log] [-f <parameter-file>]

    DDESCRIPTION

      apass	reads samples from the input audio server and writes them to the out-
      put audio server.  There will	be delay seconds between input and output.

    OPTIONS

      -ia server

           Specifies which audio server to record the sound	from.  Defaults	to
           the value of the	AUDIOFILE environment variable.

      -oa server

           Specifies which audio server to play the	sound to.  Defaults to the
           value of	the AUDIOFILE environment variable.

      -full_duplex

           Copies sound in both directions (between	input and output servers.)

      -id device

           Specifies which audio device on the input server	to record the sound
           from. Defaults to the first device that isn't connected to the tele-
           phone, which is often the local microphone device.

      -od device

           Specifies which audio device on the output server to play the sound
           to. Defaults to the first device	that isn't connected to	the tele-
           phone, which is often the local speaker device.

      -delay seconds

           Sets the	record to playback delay.  The default value is	0.2 seconds.
           This delay is made up of	three components, the buffer size - because
           you cannot play back a sample until the whole buffer is recorded, the
           nominal anti-jitter delay, which	absorbs	variation in the scheduling
           and transport delays between the	record server and the playback
           server, and a pure delay.  The minimum value is buffering+aj and	the
           maximum is 3.0 seconds.

      -aj seconds

           Sets the	tolerance for clock drift between the input and	the output.
           If the input to output delay drifts from	its nominal value by more
           than this amount, the delay will	be resynchronized, probably resulting
           in an audible blip.  Default value is 0.1 seconds.  Legal values	are 0
           to 1 second.

      -buffering seconds

           This parameter sets the amount of audio read from the input and writ-
           ten to the output as a single operation.	 It sets a minimum value for
           delay.  The default value is 0.2	seconds.  Legal	values are 0.1 to 0.5
           second.

      -g dB-gain

           Controls	the playback gain.  The	default	value is 0 dB.	Legal values
           are from	-30 to +30.

      -e encodingType

           Sets the	encoding type of the audio.  This information is passed	to
           the sending and receiving AF servers, where any necessary conversions
           will be done.  "-e xxx" will get	a list of acceptable types.  Some
           types may not be	supported by some servers.  If the -e switch is	not
           specified, the encoding type will be the	natural	type of	the input AF
           device.

      -log

           If set, apass will print	a message on stdout whenever it	is necessary
           to resynchronize	clocks between input and output	and whenever the
           record side of the program takes	longer than 400	milliseconds.

      -f file

           Whenever	a SIGUSR1 is received, apass will read file to acquire param-
           eters.  The parameter file should contain one or	more lines.  Each
           value should have a keyword and a value.	 Legal keywords	are delay,
           buffering, aj, and gain.

           A typical parameter file	might contain:

    	       delay 0.3
    	       buffering 0.2
    	       aj 0.1
    	       gain 0.0

           The general idea	behind the -f file feature is that another process
           can be used to control the apass	process.  For example, a tk(1) pro-
           gram or emacs keybindings could alter the behavior of apass.  This
           permits a multi-process but single threaded environment to act like a
           multi-threaded environment.

    ENVIRONMENT

      AUDIOFILE	 specifies the host and	server to use if otherwise unspeci-
    		 fied

    BUGS
      must be some

      If you encounter a reproducible bug, please submit a problem report to
      (af-bugs@crl.dec.com).

    SEE ALSO
      AF(1), aplay(1)

    COPYRIGHT
      Copyright 1993-1994, Digital Equipment Corporation.
      See AF(1) for	a full statement of rights and permissions.

    AUTHORS
      Digital Cambridge Research Lab